Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Dynamic Class Reference

Checks to see if an object was dynamically allocated. More...

`#include <Dynamic.h>`

List of all members.

## Public Member Functions
| ACE_Dynamic (void)
| Constructor.
| ~ACE_Dynamic (void)
| Destructor.
void | set (void)
bool | is_dynamic (void)
| `true` if we were allocated dynamically, else `false`.
void | reset (void)
| Resets state flag.
## Static Public Member Functions
ACE_Dynamic * | instance (void)
## Private Attributes
bool | is_dynamic_

## Detailed Description

Checks to see if an object was dynamically allocated.

This class holds the pointer in a thread-safe manner between the call to operator new and the call to the constructor.

## Constructor & Destructor Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_Dynamic::ACE_Dynamic | ( | void |  | ) |

| Constructor.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ACE_Dynamic::~ACE_Dynamic | ( | void |  | ) |

| Destructor.

## Member Function Documentation

ACE_Dynamic * ACE_Dynamic::instance | ( | void |  | ) | `[static]`

ACE_INLINE bool ACE_Dynamic::is_dynamic | ( | void |  | ) |

| `true` if we were allocated dynamically, else `false`.

ACE_INLINE void ACE_Dynamic::reset | ( | void |  | ) |

| Resets state flag.

ACE_INLINE void ACE_Dynamic::set | ( | void |  | ) |

| Sets a flag that indicates that the object was dynamically created. This method is usually called in operator new and then checked and reset in the constructor.

## Member Data Documentation

bool ACE_Dynamic::is_dynamic_`[private]`

| Flag that indicates that the object was dynamically created. This method is usually called in operator new and then checked and reset in the constructor.

The documentation for this class was generated from the following files:

- Dynamic.h
- Dynamic.cpp
- Dynamic.inl